%global gem_name qpid_messaging
%global qpid_version 0.18
%global rubyabi 1.9.1

Summary:       Ruby bindings for the Qpid messaging framework
Name:          rubygem-%{gem_name}
Version:       0.18.1
Release:       1.2%{?dist}
License:       ASL 2.0

URL:           http://qpid.apache.org
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem

Provides:      rubygem(%{gem_name}) = %{version}

BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby-devel
BuildRequires: rubygems-devel
BuildRequires: qpid-cpp-client-devel = %{qpid_version}

# the following to be removed with Fedora 20
Provides:      rubygem(qpid) = %{version}
Provides:      ruby-qpid = %{version}
Obsoletes:     ruby-qpid < 0.8-2
Obsoletes:     rubygem(qpid) <= 0.16

Requires:      ruby(abi) = %{rubyabi}
Requires:      rubygems


%description
Qpid is an enterprise messaging framework. This package provides Ruby
language bindings based on that framework.


%package doc
Summary:   Documentation for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch


%description doc
%{Summary}.


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# apply patches here


%build
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local \
            --install-dir .%{gem_dir} \
            -V \
            --force \
            --rdoc \
            %{gem_name}-%{version}.gem


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir}/
mv %{buildroot}%{gem_instdir}/lib/cqpid.so \
   %{buildroot}%{gem_extdir}/lib

rm -rf %{buildroot}%{gem_instdir}/ext

%check


%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_extdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE


%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/examples
%{gem_instdir}/features
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/TODO
%doc %{gem_instdir}/ChangeLog


%changelog
* Mon Jan  7 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.18.1-1.2
- Now installs the repackaged gem.

* Wed Dec 26 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18.1-1.1
- Removed Group field from the doc subpackage.
- Updated the specfile to match current Ruby packaging guidelines.

* Mon Sep 24 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18.1-1
- Rebased on qpid_messaging 0.18.1.
- Added the ChangeLog to the files in the -doc package.

* Mon Aug 13 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-1.2
- Moved the gem install statement to the install section.

* Wed Aug  1 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-1.1
- Added BR for ruby-devel.

* Thu Jul 19 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16.0-1
- Initial repackaging.
